## Building an Intelligent Browser Agent with Llama 3.2
This project provides a comprehensive guide to creating an AI-powered browser agent capable of autonomously navigating and interacting with websites. By leveraging the capabilities of Llama 3.2 Vision, Playwright, and Together AI, this agent can perform tasks seamlessly while understanding both visual and textual content.
### Features
- Visual Understanding: Utilizes screenshots for visual comprehension of web pages
- Autonomous Navigation: Capable of navigating and interacting with web elements.
- Natural Language Instructions: Executes tasks based on natural language commands.
- Persistent Session Management: Maintains browser sessions for continuous interaction.
### Example Tasks
- Search for a product on Amazon.
- Find the cheapest flight to Tokyo.
- Purchase tickets for the next Warriors game.
### What's in this Project?
- Environment setup instructions
- Browser automation guides using Playwright
- Structured prompting techniques for guiding the LLM in task execution
- Content comprehension utilizing Llama 3.2 Vision
- Creating a persistent and intelligent browser agent for real-world applications
### Demo
For a detailed explanation and demo video, visit: [Blog Post and Demo Video](https://miguelg719.github.io/browser-use-blog/)
### Prerequisite for Running the Notebook
- Before getting started, please make sure to setup Together.ai and get an API key from [here](https://www.together.ai/). 
### Collaborators
Feel free to reach out with any questions or feedback!
- Miguel Gonzalez: [X](https://x.com/miguel_gonzf) | [LinkedIn](https://www.linkedin.com/in/gonzalezfernandezmiguel/)
- Dimitry Khorzov: [X](https://x.com/korzhov_dm) | [LinkedIn](https://www.linkedin.com/in/korzhovdm)
